org.bouncycastle.jce

## Class ECNamedCurveTable

- java.lang.Object
- - org.bouncycastle.jce.ECNamedCurveTable

    public class ECNamedCurveTable
    extends java.lang.Object

a table of locally supported named curves.

### Constructor Summary

Constructors
Constructor and Description
`ECNamedCurveTable()`

### Method Summary

Methods
`static java.util.Enumeration` `getNames()` return an enumeration of the names of the available curves.
`static ECNamedCurveParameterSpec` `getParameterSpec(java.lang.String name)` return a parameter spec representing the passed in named curve.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECNamedCurveTable

    public ECNamedCurveTable()

### Method Detail

#### getParameterSpec

    public static ECNamedCurveParameterSpec getParameterSpec(java.lang.String name)

return a parameter spec representing the passed in named curve. The routine returns null if the curve is not present.

Parameters:
  `name` - the name of the curve requested
Returns:
  a parameter spec for the curve, null if it is not available.

#### getNames

    public static java.util.Enumeration getNames()

return an enumeration of the names of the available curves.

Returns:
  an enumeration of the names of the available curves.